+ Cleaned up swig build so it doesn't require an mlt++ install first
authorlilo_booter <lilo_booter@d19143bc-622f-0410-bfdd-b5b2a6649095>
Tue, 26 Jul 2005 09:32:09 +0000 (09:32 +0000)
committerlilo_booter <lilo_booter@d19143bc-622f-0410-bfdd-b5b2a6649095>
Tue, 26 Jul 2005 09:32:09 +0000 (09:32 +0000)
- Temporarily disabled java

git-svn-id: https://mlt.svn.sourceforge.net/svnroot/mlt/trunk/mlt++@784 d19143bc-622f-0410-bfdd-b5b2a6649095

mlt++/swig/Makefile
mlt++/swig/configure
mlt++/swig/perl/Makefile.PL
mlt++/swig/python/build
mlt++/swig/tcl/build

index ce38299..26ae9dd 100644 (file)
@@ -1,4 +1,4 @@
-SUBDIRS = java perl python ruby tcl
+SUBDIRS = perl python ruby tcl
 
 all clean install:
        list='$(SUBDIRS)'; \
index 7c737e6..953e281 100755 (executable)
@@ -7,14 +7,14 @@ which mlt-config > /dev/null 2>&1
 [ $? != 0 ] && echo "Please install mlt" && exit 1
 
 if [ "$1" = "all" ]
-then languages="java perl python ruby tcl"
+then languages="perl python ruby tcl"
 elif [ "$1" != "" ]
 then languages=$*
 else echo "Usage: ./configure [ all | language * ]"
         exit 0
 fi
 
-for i in java perl python ruby tcl
+for i in perl python ruby tcl
 do
        rm -f .$i
 done
@@ -22,16 +22,21 @@ done
 for i in $languages
 do
        echo -n "Configuring $i ... "
-       cd $i
-       output=`./build 2>/dev/null`
-       if [ $? == 0 ]
-       then echo "OK"
-                touch ../.$i
-       elif [ "$output" == "" ]
+       if [ -d "$i" ] 
        then
-               echo "Failed"
+               cd $i &&
+               output=`./build 2>/dev/null`
+               if [ $? == 0 ]
+               then echo "OK"
+                       touch ../.$i
+               elif [ "$output" == "" ]
+               then
+                       echo "Failed"
+               else
+                       echo $output
+               fi
+               cd ..
        else
-               echo $output
+               echo "Unknown"
        fi
-       cd ..
 done
index 1519403..464f4eb 100644 (file)
@@ -1,11 +1,11 @@
 #!/bin/env perl
 use ExtUtils::MakeMaker;
 system( "ln -sf ../mltpp.i ." );
-system( "swig -c++ -I/usr/local/include/mlt++ `mlt-config --cflags` -perl5 mltpp.i" ); 
+system( "swig -c++ -I../../src `mlt-config --cflags` -perl5 mltpp.i" ); 
 WriteMakefile(
        'NAME'    => 'mltpp',
-       'CC'      => 'g++ `mlt-config --cflags` -I/usr/local/include/mlt++',
-       'LIBS'    => ['-lmlt++'],
+       'CC'      => 'g++ `mlt-config --cflags` -I../../src',
+       'LIBS'    => ['-L../../src -lmlt++'],
        'OBJECT'  => 'mltpp_wrap.o'
 );
 
index 01660a6..17ec48e 100755 (executable)
@@ -12,13 +12,13 @@ then
        ln -sf ../mltpp.i .
 
        # Invoke swig
-       swig -c++ -I/usr/local/include/mlt++ `mlt-config --cflags` -python mltpp.i || exit $?
+       swig -c++ -I../../src `mlt-config --cflags` -python mltpp.i || exit $?
 
        # Compile the wrapper
        g++ -D_GNU_SOURCE -c -rdynamic -pthread `mlt-config --cflags` -I$PYTHON_INCLUDE mltpp_wrap.cxx || exit $?
 
        # Create the module
-       ld -shared mltpp_wrap.o -lmlt++ -o _mltpp.so || exit $?
+       ld -shared mltpp_wrap.o -L../../src -lmlt++ -o _mltpp.so || exit $?
 else
        echo Python not installed.
        exit 1
index 48d06c6..548d3db 100755 (executable)
@@ -7,13 +7,13 @@ then
        ln -sf ../mltpp.i .
 
        # Invoke swig
-       swig -c++ -I/usr/local/include/mlt++ `mlt-config --cflags` -tcl mltpp.i || exit 1
+       swig -c++ -I../../src `mlt-config --cflags` -tcl mltpp.i || exit 1
 
        # Compile the wrapper
-       g++ -D_GNU_SOURCE -c -rdynamic -pthread -I/usr/local/include/mlt++ `mlt-config --cflags` mltpp_wrap.cxx || exit 1
+       g++ -D_GNU_SOURCE -c -rdynamic -pthread -I../../src `mlt-config --cflags` mltpp_wrap.cxx || exit 1
 
        # Create the module
-       ld -shared mltpp_wrap.o -lmlt++ -o mltpp.so || exit 1
+       ld -shared mltpp_wrap.o -L../../src -lmlt++ -o mltpp.so || exit 1
 else
        echo "Unable to locate tclsh."
        exit 1